#
# spec file for package galeon (Version 1.3.14a)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  eel eel-devel gail gail-devel gnome-common gnome2-devel-packages gpp indent libgpp libgtkhtml libgtkhtml-devel libidl libxslt mozilla mozilla-devel nautilus2 nautilus2-devel perl-XML-Parser scrollkeeper startup-notification startup-notification-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel cracklib eel eel-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-common gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel indent libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgtkhtml libgtkhtml-devel libidl libjpeg libstdc++-devel libtool libwnck libwnck-devel libxml2 libxml2-devel libxslt linc linc-devel mozilla mozilla-devel nautilus2 nautilus2-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm scrollkeeper startup-notification startup-notification-devel update-desktop-files

Name:         galeon
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla)
License:      GPL
Group:        Productivity/Networking/Web/Browsers
Autoreqprov:  on
Version:      1.3.14a
Release:      2
Summary:      GNOME Web Browser Based on Mozilla
Source:       galeon-%{version}.tar.bz2
URL:          http://galeon.sourceforge.net/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     mozilla >= 1.4
Requires:     mozilla < 1.5
Requires:     mozilla-mail
PreReq:       filesystem 

%description
Galeon is a web browser built around Gecko (Mozilla's rendering engine)
and Necko (Mozilla's networking engine). It's a GNOME web browser,
designed to take advantage of as many GNOME technologies as makes
sense. Galeon was written to do just one thing - browse the web.



Authors:
--------
    Philip Langdale <philipl@mail.utexas.edu>
    Tommi Komulainen <tommi.komulainen@iki.fi>
    Christophe Fergeau <teuf@users.sourceforge.net>
    Ricardo Fernndez Pascual <ric@users.sourceforge.net>
    Yanko Kaneti <yaneti@declera.com>
    Marco Pesenti Gritti <mpeseng@tin.it>
    Remco de Jong <rdj@rdj.cg.nu>
    Nate Case <nd@kracked.com>
    Bob Phan <ex-freek@yahoo.com>
    Matt Aubury <matt@ookypooky.com>
    Joshua Horvath <jmhorvat@home.com>
    Matthew Mueller <donut@azstarnet.com>
    Jorn Baayen <jorn@nl.linux.org>
    Daniel Erat  <dan_erat@pobox.com>

%prep
%setup -q -n galeon-1.3.14

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --enable-nautilus-view \
    --with-mozilla-snapshot=1.4.1
# Gtkhtml port is currently broken.
#    --enable-gtkhtml
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL       
%suse_update_desktop_file %name Internet WebBrowser

%post
%run_ldconfig
echo -n " galeon.schemas " >> var/adm/SuSEconfig/run-gconf2-schema-installation

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{sysconfdir}/gconf/schemas/galeon.schemas
%{sysconfdir}/sound/events/*.soundlist
%{prefix}/bin/*
%{prefix}/%_lib/bonobo/servers/*.server
%dir %{prefix}/%_lib/galeon
%dir %{prefix}/%_lib/galeon/components
%{prefix}/%_lib/galeon/components/*.so
%{prefix}/%_lib/galeon/components/*.la
%{prefix}/man/man?/*.*
%{prefix}/share/applications/*.desktop
%{prefix}/share/galeon
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome-2.0/ui/*.xml
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/omf/*
%{prefix}/share/pixmaps/*.png
%{prefix}/share/sounds/*

%changelog -n galeon
* Thu Apr 29 2004 - hhetter@suse.de
- updated to version 1.3.14a for Mozilla 1.4.1 conformance
  (#39244, #39447)
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Tue Aug 12 2003 - adrian@suse.de
- add Categories
* Thu Aug 07 2003 - sbrabec@suse.cz
- Updated to version 1.3.7.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 18 2003 - sbrabec@suse.cz
- Merged galeon2 branch to galeon.
* Fri Jun 13 2003 - sbrabec@suse.cz
- Removed mozilla-1.4b patch, not needed for rc1.
* Wed Jun 11 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
* Fri Mar 14 2003 - hhetter@suse.de
- require mozilla-mail to get mailto: URLs to work (Bug Id#24854)
* Tue Feb 25 2003 - hhetter@suse.de
- fix filelist (#24193)
- fix scrollkeeper usage
- show galeon manual in browser (#24193)
* Fri Feb 21 2003 - sbrabec@suse.cz
- Updated to version 1.2.8 (bugfix release).
* Fri Nov 29 2002 - hhetter@suse.de
- removed galeon-1.2.6-mozilla-1.0.dif which is upstream
- updated to version 1.2.7
- change to --with-mozilla-snapshot=1.2
* Mon Sep 30 2002 - sbrabec@suse.cz
- Added alsa alsa-devel to neededforbuild, because esound can depend on it.
* Mon Sep 16 2002 - sbrabec@suse.cz
- update to galeon-1.2.6
- galeon-1.2.3.dif updated to galeon-1.2.6.dif.
- updated compat_wrapper.dif
- new fix galeon-1.2.6-mozilla-1.0.dif
- changed to --with-mozilla-snapshot=1.0
- removed galeon-mozilla.dif
* Wed Sep 11 2002 - sbrabec@suse.cz
- Added workaround to prevent crashing on pages with Flash (using gcc2
  compiled plugin and gcc3 compiled mozilla). Closes #19366.
* Tue Sep 03 2002 - hhetter@suse.de
- build with Mozilla 1.0.1
* Thu Aug 22 2002 - hhetter@suse.de
- register galeon schemas in new database too (Bug Id#18191)
* Mon Jul 22 2002 - hhetter@suse.de
- remove nautilus dependency
* Wed Jun 12 2002 - jordi@suse.de
- Updated to version 1.2.5
  * mozilla 1.0 compatibilty/requirement
  * proxy auto-conf & printing fixes
  * new Vietnamese translation
* Mon Jun 10 2002 - ro@suse.de
- fix build with mozilla changes
* Thu Jun 06 2002 - hhetter@suse.de
- use new mozilla libs place
* Mon Jun 03 2002 - ro@suse.de
- use "gnome-devel-packages" in neededforbuild
* Tue May 28 2002 - hhetter@suse.de
- up to version 1.2.3, minor bugfixes and
  Mozilla 1.0RC3 compatibility
* Wed May 15 2002 - hhetter@suse.de
- require nautilus-devel
* Tue May 14 2002 - hhetter@suse.de
- require freetype2, eel, nautilus, libglade
- enabled the nautilus-view component
* Tue May 07 2002 - ro@suse.de
- fix to compile again
* Thu Apr 25 2002 - hhetter@suse.de
- fixed filelist
* Mon Apr 22 2002 - hhetter@suse.de
- up to version 1.2.1, mozilla 1.0rc1 compatibility
* Wed Apr 17 2002 - hhetter@suse.de
- requires mozilla=0.9.9
- updated to version 1.2.0
  * mozilla 0.9.9 compatibility
* Wed Feb 06 2002 - hhetter@suse.de
- updated to version 1.0.3
  * mozilla 0.9.8 compatiblity
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 07 2002 - hhetter@suse.de
- updated to version 1.0.2
  * mozilla 0.9.7 compatibility
* Tue Dec 11 2001 - hhetter@suse.de
- updated to version 1.0.1
  * bugfixes for JS and autobookmarks
- set requires mozilla = 0.9.6
- functionality test on i386
* Mon Nov 26 2001 - hhetter@suse.de
- updated to version 1.0
- functionality test on i386
* Tue Nov 13 2001 - hhetter@suse.de
- updated to version 0.12.7 (rc2 before galeon 1.0)
- functionality test on i386
* Mon Nov 12 2001 - hhetter@suse.de
- upated to version 0.12.6
  * improved mousewheel support
  * smart bookmarks
* Mon Sep 24 2001 - egger@suse.de
- Updated to version 0.12.2.
- This is my last piece of work for SuSE, enjoy!
* Mon Sep 24 2001 - bk@suse.de
- add "Requires: mozilla = 0.9.4"-line (see bug# 11203)
* Mon Aug 20 2001 - egger@suse.de
- Updated to 0.12.
- Misc changes to make it compile and filelistcorrections.
* Sun Aug 05 2001 - egger@suse.de
- Added a patch to make it compile with mozilla 0.9.3.
* Wed Aug 01 2001 - hhetter@suse.de
- added oaf infofiles to filelist
- added sound event infofile to filelist
- test on i386, now galeon looks for existing instances
* Wed Jul 25 2001 - hhetter@suse.de
- update to version 0.11.3
* Mon Jul 23 2001 - hhetter@suse.de
- update to version 0.11.2
* Fri Jul 06 2001 - hhetter@suse.de
- update to version 0.11.1
* Thu Jun 14 2001 - egger@suse.de
- Updated to version 0.11.0.
* Mon Apr 09 2001 - hhetter@suse.de
- update to version 0.10.4
- tested on i386
* Tue Mar 13 2001 - egger@suse.de
- Update to version 0.10.2.
* Sun Feb 25 2001 - egger@suse.de
- Update to version 0.10.1.
* Thu Feb 22 2001 - egger@suse.de
- Initial SusE version of this package.
